<?php

/* include  fornt end framework class */
require_once('WDWT_front_functions.php');

class Portfolio_gallery_frontend_functions extends WDWT_frontend_functions{


  public static function posted_on() {
    printf('<span class="sep date"></span><a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a>',
      esc_url( get_permalink() ),
      esc_attr( get_the_time() ),
      esc_attr( get_the_date( 'c' ) ),
      esc_html( get_the_date() )
    );
  } 

  public static function posted_on_single() {
    printf('<span class="sep date"></span><a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a><span class="by-author"> <span class="sep author"></span> <span class="author vcard"><a class="url fn n" href="%5$s" title="%6$s" rel="author">%7$s</a></span></span>',
      esc_url( get_permalink() ),
      esc_attr( get_the_time() ),
      esc_attr( get_the_date( 'c' ) ),
      esc_html( get_the_date() ),
      esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
      esc_attr( sprintf( __( 'View all posts by %s', 'portfolio-gallery' ), get_the_author() ) ),
      get_the_author()
    );
 }


 


  
public static function home_featured_post(){
  global $wdwt_front;
  
  $home_middle_description_post = $wdwt_front->get_param('home_middle_description_post');
  $home_middle_description_post_enable = $wdwt_front->get_param('home_middle_description_post_enable');
  $blog_style = $wdwt_front->blog_style();

  $featured_post=isset($home_middle_description_post[0]) ? get_post($home_middle_description_post[0]) : null;

  if($featured_post==NULL){
    $featured_post=get_posts();
    $featured_post=$featured_post[0];
  }
 
  if ($home_middle_description_post_enable && $featured_post){  ?>
  <div class="clear"></div>
  <div id="right_middle">
      <?php echo get_the_post_thumbnail( $featured_post->ID,array(260,220)); ?>
    <div id="middle">   
      <a href="<?php echo get_permalink($featured_post->ID); ?>">
      <h3>
        <?php echo esc_html($featured_post->post_title); ?>
      </h3>
      </a>
      <?php
        self::the_excerpt_max_charlength(200,$featured_post->post_content);
      ?>
      <div class="clear"></div>
    </div>
    <?php  ?>
  </div>
  <?php } 

}

  
public static function content() {
  ?>
    <script>
    // Hover
      jQuery(function() {
        jQuery('.da-thumbs > div').hoverdir();
      });
    </script>

  <?php
    global $wdwt_front, 
      $wp_query,
      $paged;
     
    $content_posts_enable = $wdwt_front->get_param('content_posts_enable');

    $content_post_categories = implode(",", $wdwt_front->get_param('content_post_categories', array(), array(''))) ;
    $lbox_width = $wdwt_front->get_param('lbox_image_width');
    $lbox_height = $wdwt_front->get_param('lbox_image_height');

    $cat_checked=0;
    $post_count=0;
    
    $printed_featured=false;
    $n_of_home_post=get_option( 'posts_per_page', 2); 

    if($n_of_home_post!=0): ?>
      <div id="image_list_top" class="image_list_top portfolio_list da-thumbs">
        
      <?php
      
      if($content_posts_enable){
        $args = array(
        'posts_per_page' => $n_of_home_post,
        'cat' => self::remove_last_comma($content_post_categories),
        'paged'=> $paged,
        'order'=>'DESC',
        //'post__in'  => get_option( 'sticky_posts' ),
        //'ignore_sticky_posts' => 1
        );
      }
      else{
        $args = array(
        'posts_per_page' => $n_of_home_post,
        'paged'=> $paged,
        'order'=>'DESC',
        );
      }
      $wp_query = new WP_Query($args);
        if(have_posts()): 
          while ($wp_query->have_posts()):
            
            $wp_query->the_post();  
          
         
            $post_count++;
            
            $tumb_id = get_post_thumbnail_id( get_the_ID() );
            $thumb_url=wp_get_attachment_image_src($tumb_id,'full');

            if( $thumb_url ){                    
              $thumb_url = $thumb_url[0];
            }  
            else{
              $thumb_url = self::catch_that_image();
            }
            if(isset( $thumb_url['image_catched'])){
              if(!$thumb_url['image_catched']){
                $thumb_url='';
              }
              else{
                  $thumb_url=$thumb_url['src'];
              }
            }

            if($post_count==5){ 

              ?>
              <div class="clear"></div>
      </div>
             
            <?php
            
            self::home_featured_post(); 
            $printed_featured=true;  ?>
            <div id="image_list_bottom" class="image_list_bottom portfolio_list da-thumbs">
            <?php
          }   
            ?>
          <div class="image_list_item">
            
            
            <?php echo Portfolio_gallery_frontend_functions::fixed_thumbnail(370,310); ?>
          
            <article class="da-animate da-slideFromRight" style="display: block;">
              <h4><?php 
                self::the_title_max_charlength(40)
              /*the_title();*/ ?>
              </h4>
              <center class="home_description_hover"><?php self::the_excerpt_max_charlength(60,get_the_excerpt()); ?>
              </center>
              <span class="link_post">
                <a href="<?php echo get_permalink() ?>">
                </a>
              </span>
            <?php 
            if(($thumb_url)){ ?>
              <span class="zoom">
                <a href="<?php echo $thumb_url; ?>" class=" " onclick="wdwt_lbox.init(this, 'wdwt-lightbox', <?php echo intval($lbox_width);?> , <?php echo intval($lbox_height);?>); return false;" rel="wdwt-lightbox">
                </a>
              </span>
            <?php 
            } 
            ?>
            </article>
            </div>
            <?php 
                                   
          endwhile; 
        endif; /*the loop*/
       
      
      /*if($content_posts_enable){*/ ?>
        <div class="page-navigation">
          <?php posts_nav_link(); ?>
        </div>     
      <?php /* } */?>
      
      </div>
      
      <?php 
    endif; 
    if(!$printed_featured){?>
      <div id="image_list_top" class="image_list_top portfolio_list da-thumbs"><?php self::home_featured_post(); ?></div>
      <?php
    }


    wp_reset_query();       
      
  }

  


public static function content_for_home() {

  global $wdwt_front, 
    $wp_query,
    $paged;
    $date_enable =  $wdwt_front->get_param('date_enable');
    $grab_image = $wdwt_front->get_param('grab_image');
    $blog_style = $wdwt_front->blog_style();

  ?>
    <div id="blog" ><?php

      if(have_posts()) : 
        while (have_posts()) :
          the_post();
        
          ?>
          <div class="blog-post home-post">        
            <a class="title_href" href="<?php echo get_permalink() ?>">
              <h2><?php 
                    self::the_title_max_charlength(40);
              /*the_title();*/ ?></h2>
            </a>
            <?php
            if($date_enable){ ?>
              <div class="home-post-date">
                <?php echo self::posted_on();?>
              </div>
            <?php
            } 
            
            if(has_post_thumbnail() || (Portfolio_gallery_frontend_functions::post_image_url() && $blog_style && $grab_image)){
            ?>
              <div class="img_container fixed size250x180">
                <?php echo Portfolio_gallery_frontend_functions::fixed_thumbnail(250, 180, $grab_image); ?>
              </div>
            <?php
            }
            if($blog_style) {
              the_excerpt();
            }
            else {
              the_content(__('More', 'portfolio-gallery'));
            }  
            ?>
            <div class="clear"></div>  
        
          </div>
          <?php 
        endwhile;
        if( $wp_query->max_num_pages > 2 ){ ?>
          <div class="page-navigation">
            <?php posts_nav_link(); ?>
          </div>     
          <?php 
        }
      endif;

      ?>
      <div class="clear"></div>
        <?php
        $wdwt_front->bottom_advertisment();
        wp_reset_query();
        ?>      
      </div>
      <?php 
  }

  public static function entry_meta() {
    $categories_list = get_the_category_list(', ' );
    echo '<div class="entry-meta-cat">';
    if ( $categories_list ) {
      echo '<span class="categories-links"><span class="sep category"></span> ' . $categories_list . '</span>';
    }
    $tag_list = get_the_tag_list( '', ' , ' );
    if ( $tag_list ) {
      echo '<span class="tags-links"><span class="sep tag"></span>' . $tag_list . '</span>';
    }
    echo '</div>';
  }


  

}



